# Dockerfile
FROM python:3.10-slim-buster

WORKDIR /app
COPY ../../geumdo_analysis ./
RUN pip install --no-cache-dir -r requirements.txt; \
	apt-get update; \
    apt-get install -y --no-install-recommends \
    git \
    curl \
    vim \
    ; \
    apt-get remove -y --auto-remove \
        wget \
        ; \
    rm -rf /var/lib/apt/lists/*;
CMD unicorn --host=0.0.0.0 --port 8000 main:app
